# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorSpellCheckingPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorSpellCheckingPage(object):
    def setupUi(self, EditorSpellCheckingPage):
        EditorSpellCheckingPage.setObjectName("EditorSpellCheckingPage")
        EditorSpellCheckingPage.resize(576, 663)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(EditorSpellCheckingPage)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.headerLabel = QtWidgets.QLabel(parent=EditorSpellCheckingPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_4.addWidget(self.headerLabel)
        self.line3 = QtWidgets.QFrame(parent=EditorSpellCheckingPage)
        self.line3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line3.setObjectName("line3")
        self.verticalLayout_4.addWidget(self.line3)
        self.errorLabel = QtWidgets.QLabel(parent=EditorSpellCheckingPage)
        self.errorLabel.setObjectName("errorLabel")
        self.verticalLayout_4.addWidget(self.errorLabel)
        self.spellingFrame = QtWidgets.QFrame(parent=EditorSpellCheckingPage)
        self.spellingFrame.setFrameShape(QtWidgets.QFrame.Shape.NoFrame)
        self.spellingFrame.setFrameShadow(QtWidgets.QFrame.Shadow.Plain)
        self.spellingFrame.setObjectName("spellingFrame")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.spellingFrame)
        self.verticalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.checkingEnabledCheckBox = QtWidgets.QCheckBox(parent=self.spellingFrame)
        self.checkingEnabledCheckBox.setObjectName("checkingEnabledCheckBox")
        self.verticalLayout_3.addWidget(self.checkingEnabledCheckBox)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=self.spellingFrame)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_2.setObjectName("label_2")
        self.gridLayout_3.addWidget(self.label_2, 0, 0, 1, 1)
        self.defaultLanguageCombo = QtWidgets.QComboBox(parent=self.groupBox_3)
        self.defaultLanguageCombo.setObjectName("defaultLanguageCombo")
        self.gridLayout_3.addWidget(self.defaultLanguageCombo, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(353, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem, 0, 2, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_3)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=self.spellingFrame)
        self.groupBox_4.setObjectName("groupBox_4")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_4)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.stringsOnlyCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.stringsOnlyCheckBox.setObjectName("stringsOnlyCheckBox")
        self.horizontalLayout_4.addWidget(self.stringsOnlyCheckBox)
        self.fullCheckUnknownCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_4)
        self.fullCheckUnknownCheckBox.setObjectName("fullCheckUnknownCheckBox")
        self.horizontalLayout_4.addWidget(self.fullCheckUnknownCheckBox)
        self.verticalLayout.addLayout(self.horizontalLayout_4)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.minimumWordSizeSlider = QtWidgets.QSlider(parent=self.groupBox_4)
        self.minimumWordSizeSlider.setMinimum(1)
        self.minimumWordSizeSlider.setMaximum(10)
        self.minimumWordSizeSlider.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.minimumWordSizeSlider.setTickPosition(QtWidgets.QSlider.TickPosition.NoTicks)
        self.minimumWordSizeSlider.setTickInterval(1)
        self.minimumWordSizeSlider.setObjectName("minimumWordSizeSlider")
        self.horizontalLayout.addWidget(self.minimumWordSizeSlider)
        self.lcdNumber = QtWidgets.QLCDNumber(parent=self.groupBox_4)
        self.lcdNumber.setDigitCount(2)
        self.lcdNumber.setSegmentStyle(QtWidgets.QLCDNumber.SegmentStyle.Flat)
        self.lcdNumber.setProperty("intValue", 1)
        self.lcdNumber.setObjectName("lcdNumber")
        self.horizontalLayout.addWidget(self.lcdNumber)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_8.setObjectName("label_8")
        self.horizontalLayout_2.addWidget(self.label_8)
        self.spellCheckTextFilesLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_4)
        self.spellCheckTextFilesLineEdit.setClearButtonEnabled(True)
        self.spellCheckTextFilesLineEdit.setObjectName("spellCheckTextFilesLineEdit")
        self.horizontalLayout_2.addWidget(self.spellCheckTextFilesLineEdit)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.verticalLayout_3.addWidget(self.groupBox_4)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=self.spellingFrame)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.TextLabel2_2_2_2_2_2 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.TextLabel2_2_2_2_2_2.setObjectName("TextLabel2_2_2_2_2_2")
        self.gridLayout_2.addWidget(self.TextLabel2_2_2_2_2_2, 0, 0, 1, 1)
        self.spellingMarkerButton = QtWidgets.QPushButton(parent=self.groupBox_2)
        self.spellingMarkerButton.setMinimumSize(QtCore.QSize(100, 0))
        self.spellingMarkerButton.setText("")
        self.spellingMarkerButton.setObjectName("spellingMarkerButton")
        self.gridLayout_2.addWidget(self.spellingMarkerButton, 0, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(348, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem1, 0, 2, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        self.groupBox = QtWidgets.QGroupBox(parent=self.spellingFrame)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 0, 0, 1, 1)
        self.pwlPicker = EricPathPicker(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pwlPicker.sizePolicy().hasHeightForWidth())
        self.pwlPicker.setSizePolicy(sizePolicy)
        self.pwlPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pwlPicker.setObjectName("pwlPicker")
        self.gridLayout.addWidget(self.pwlPicker, 0, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 1, 0, 1, 1)
        self.pelPicker = EricPathPicker(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pelPicker.sizePolicy().hasHeightForWidth())
        self.pelPicker.setSizePolicy(sizePolicy)
        self.pelPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.pelPicker.setObjectName("pelPicker")
        self.gridLayout.addWidget(self.pelPicker, 1, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 2, 0, 1, 2)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 3, 0, 1, 2)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=self.spellingFrame)
        self.groupBox_5.setObjectName("groupBox_5")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox_5)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.enabledCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_5)
        self.enabledCheckBox.setObjectName("enabledCheckBox")
        self.verticalLayout_2.addWidget(self.enabledCheckBox)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout_3.addWidget(self.label_3)
        self.chunkSizeSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_5)
        self.chunkSizeSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.chunkSizeSpinBox.setMinimum(10)
        self.chunkSizeSpinBox.setMaximum(999)
        self.chunkSizeSpinBox.setObjectName("chunkSizeSpinBox")
        self.horizontalLayout_3.addWidget(self.chunkSizeSpinBox)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem2)
        self.verticalLayout_2.addLayout(self.horizontalLayout_3)
        self.verticalLayout_3.addWidget(self.groupBox_5)
        self.verticalLayout_4.addWidget(self.spellingFrame)
        spacerItem3 = QtWidgets.QSpacerItem(558, 231, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_4.addItem(spacerItem3)

        self.retranslateUi(EditorSpellCheckingPage)
        self.minimumWordSizeSlider.valueChanged['int'].connect(self.lcdNumber.display) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EditorSpellCheckingPage)
        EditorSpellCheckingPage.setTabOrder(self.checkingEnabledCheckBox, self.defaultLanguageCombo)
        EditorSpellCheckingPage.setTabOrder(self.defaultLanguageCombo, self.stringsOnlyCheckBox)
        EditorSpellCheckingPage.setTabOrder(self.stringsOnlyCheckBox, self.fullCheckUnknownCheckBox)
        EditorSpellCheckingPage.setTabOrder(self.fullCheckUnknownCheckBox, self.minimumWordSizeSlider)
        EditorSpellCheckingPage.setTabOrder(self.minimumWordSizeSlider, self.spellCheckTextFilesLineEdit)
        EditorSpellCheckingPage.setTabOrder(self.spellCheckTextFilesLineEdit, self.spellingMarkerButton)
        EditorSpellCheckingPage.setTabOrder(self.spellingMarkerButton, self.pwlPicker)
        EditorSpellCheckingPage.setTabOrder(self.pwlPicker, self.pelPicker)
        EditorSpellCheckingPage.setTabOrder(self.pelPicker, self.enabledCheckBox)
        EditorSpellCheckingPage.setTabOrder(self.enabledCheckBox, self.chunkSizeSpinBox)

    def retranslateUi(self, EditorSpellCheckingPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EditorSpellCheckingPage", "<b>Configure editor spell checking options</b>"))
        self.errorLabel.setText(_translate("EditorSpellCheckingPage", "<font color=\"#FF0000\">Spell checking with PyEnchant is not available.</font>"))
        self.checkingEnabledCheckBox.setToolTip(_translate("EditorSpellCheckingPage", "Select to enable spell checking"))
        self.checkingEnabledCheckBox.setText(_translate("EditorSpellCheckingPage", "Spell checking enabled"))
        self.groupBox_3.setTitle(_translate("EditorSpellCheckingPage", "Defaults"))
        self.label_2.setText(_translate("EditorSpellCheckingPage", "Default language:"))
        self.defaultLanguageCombo.setToolTip(_translate("EditorSpellCheckingPage", "Select the default language"))
        self.groupBox_4.setTitle(_translate("EditorSpellCheckingPage", "Spell checking options"))
        self.stringsOnlyCheckBox.setToolTip(_translate("EditorSpellCheckingPage", "Select to check strings only"))
        self.stringsOnlyCheckBox.setText(_translate("EditorSpellCheckingPage", "Spell check strings only"))
        self.fullCheckUnknownCheckBox.setToolTip(_translate("EditorSpellCheckingPage", "Select to perform a complete check of files without extension"))
        self.fullCheckUnknownCheckBox.setText(_translate("EditorSpellCheckingPage", "Spell check unknown files"))
        self.label.setText(_translate("EditorSpellCheckingPage", "Minimum word size:"))
        self.minimumWordSizeSlider.setToolTip(_translate("EditorSpellCheckingPage", "Move to set the minimum size of words to be checked"))
        self.lcdNumber.setToolTip(_translate("EditorSpellCheckingPage", "Displays the minimum size of words to be checked"))
        self.label_8.setText(_translate("EditorSpellCheckingPage", "Textfiles:"))
        self.spellCheckTextFilesLineEdit.setToolTip(_translate("EditorSpellCheckingPage", "Enter the file extensions of pure text files (separated by a space)"))
        self.spellCheckTextFilesLineEdit.setWhatsThis(_translate("EditorSpellCheckingPage", "<b>Textfiles</b>\n"
"<p>Enter the file extension of pure text files. The complete contents of files with these extensions will be checked.</p>"))
        self.groupBox_2.setTitle(_translate("EditorSpellCheckingPage", "Colors"))
        self.TextLabel2_2_2_2_2_2.setText(_translate("EditorSpellCheckingPage", "Marker Color:"))
        self.spellingMarkerButton.setToolTip(_translate("EditorSpellCheckingPage", "Select the color for the spelling markers."))
        self.groupBox.setTitle(_translate("EditorSpellCheckingPage", "Personal lists"))
        self.label_4.setText(_translate("EditorSpellCheckingPage", "Personal word list file:"))
        self.label_5.setText(_translate("EditorSpellCheckingPage", "Personal exclude list file:"))
        self.label_6.setText(_translate("EditorSpellCheckingPage", "<b>Note:</b> leave these entries empty to use the default"))
        self.label_7.setText(_translate("EditorSpellCheckingPage", "<b>Note:</b> valid for all newly opened editors"))
        self.groupBox_5.setTitle(_translate("EditorSpellCheckingPage", "Automatic spell checking"))
        self.enabledCheckBox.setToolTip(_translate("EditorSpellCheckingPage", "Select to enable spellchecking"))
        self.enabledCheckBox.setText(_translate("EditorSpellCheckingPage", "Automatic spell checking enabled"))
        self.label_3.setText(_translate("EditorSpellCheckingPage", "Amount of lines to autocheck at once:"))
        self.chunkSizeSpinBox.setToolTip(_translate("EditorSpellCheckingPage", "Enter the number of lines to check per go. Higher values increase checking speed but decrease GUI responsivenes"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
